Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class DynamicMBeanMetaDataSupport

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.DynamicMBeanMetaDataSupport

All Implemented Interfaces:
  MBeanInterfaceMetaData, MBeanMetaData

public class DynamicMBeanMetaDataSupport
extends java.lang.Object
implements MBeanMetaData

Author:
  Young Yang

Constructor Summary
`DynamicMBeanMetaDataSupport(ObjectName objectName, DynamicMBean obj)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attribute)`
`MBeanAttributeInfo` | `getAttributeInfo(java.lang.String attribute)`
`MBeanAttributeInfo[]` | `getAttributes()`
`AttributeList` | `getAttributes(java.lang.String[] attributes)`
`java.lang.ClassLoader` | `getClassLoader()`
`java.lang.String` | `getClassName()`
`java.lang.Class` | `getInterfaceClass()`
`java.lang.String` | `getInterfaceClassName()`
`MBeanInfo` | `getMBeanInfo()`
`java.lang.Object` | `getMBeanObject()`
`ExtendedObjectInstance` | `getObjectInstance()`
`ObjectName` | `getObjectName()`
`MBeanOperationInfo[]` | `getOperations()`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signatures)`
`boolean` | `isDynamic()`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributes)`
`void` | `setObjectName(ObjectName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMBeanMetaDataSupport

    public DynamicMBeanMetaDataSupport(ObjectName objectName,
                                       DynamicMBean obj)

Method Detail

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

  Specified by:
    `getAttributes` in interface `MBeanInterfaceMetaData`

### getAttributeInfo

    public MBeanAttributeInfo getAttributeInfo(java.lang.String attribute)

  Specified by:
    `getAttributeInfo` in interface `MBeanInterfaceMetaData`

### getOperations

    public MBeanOperationInfo[] getOperations()

  Specified by:
    `getOperations` in interface `MBeanInterfaceMetaData`

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `MBeanMetaData`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `MBeanMetaData`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `MBeanMetaData`

### getObjectName

    public ObjectName getObjectName()

  Specified by:
    `getObjectName` in interface `MBeanMetaData`

### setObjectName

    public void setObjectName(ObjectName name)

  Specified by:
    `setObjectName` in interface `MBeanMetaData`

### getObjectInstance

    public ExtendedObjectInstance getObjectInstance()

  Specified by:
    `getObjectInstance` in interface `MBeanMetaData`

### getMBeanObject

    public java.lang.Object getMBeanObject()

  Specified by:
    `getMBeanObject` in interface `MBeanMetaData`

### isDynamic

    public boolean isDynamic()

  Specified by:
    `isDynamic` in interface `MBeanMetaData`

### getInterfaceClassName

    public java.lang.String getInterfaceClassName()

  Specified by:
    `getInterfaceClassName` in interface `MBeanMetaData`

### getInterfaceClass

    public java.lang.Class getInterfaceClass()

  Specified by:
    `getInterfaceClass` in interface `MBeanInterfaceMetaData`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws MBeanException,
                                         AttributeNotFoundException,
                                         ReflectionException

  Specified by:
    `getAttribute` in interface `MBeanMetaData`
    `MBeanException`
    `AttributeNotFoundException`
    `ReflectionException`

### getAttributes

    public AttributeList getAttributes(java.lang.String[] attributes)
                                throws MBeanException,
                                       AttributeNotFoundException,
                                       ReflectionException

  Specified by:
    `getAttributes` in interface `MBeanMetaData`
    `MBeanException`
    `AttributeNotFoundException`
    `ReflectionException`

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Specified by:
    `setAttribute` in interface `MBeanMetaData`
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)
                                throws AttributeNotFoundException,
                                       InvalidAttributeValueException,
                                       MBeanException,
                                       ReflectionException

  Specified by:
    `setAttributes` in interface `MBeanMetaData`
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signatures)
                            throws MBeanException,
                                   ReflectionException

  Specified by:
    `invoke` in interface `MBeanMetaData`
    `MBeanException`
    `ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD